## ubuntu-drivers-common 0.9.7.6ubuntu3.3

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.7.6ubuntu3.3) noble; urgency=medium

  * Clarify gpgpu flag help text (LP: #2115537)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Tue, 01 Jul 2025 16:49:10 -0500

## ubuntu-drivers-common 0.9.7.6ubuntu3.4

=== share/hybrid/Makefile ===
#!/usr/bin/make -f

PROGRAM = gpu-manager
PROGRAM_FILES = gpu-manager.c
CC = gcc
CFLAGS =-g -Wall $(shell pkg-config --cflags libpci libdrm libkmod) -Ijson-parser json-parser/json.c
LDFLAGS =$(shell pkg-config --libs libpci libdrm libkmod) -lm

all: build

gpu-manager: gpu-manager.o
	$(CC) $(CFLAGS) gpu-manager.o $(LDFLAGS) -o gpu-manager

gpu-manager.o:
	$(CC) $(CFLAGS) -c gpu-manager.c

build: gpu-manager
clean:
	@rm -f $(PROGRAM) $(PROGRAM).o json.o

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.7.6ubuntu3.4) noble; urgency=medium

  * Remove outdated dependency to fix ADT failures (LP: #2071829)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Fri, 12 Sep 2025 11:44:10 -0500

## ubuntu-drivers-common 0.9.7.6ubuntu3.5

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.7.6ubuntu3.5) noble; urgency=medium

  [ Mitchell Augustin ]
  * Prevent coinstallation of conflicting Nvidia Drivers (LP: #2125156)

  [ Nick Rosbrook ]
  * debian/source/options: ignore .git to prevent git artifacts in upload

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Fri, 03 Oct 2025 16:26:02 -0500

=== debian/control ===
Source: ubuntu-drivers-common
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.20160709),
 dh-python,
 po-debconf,
 dh-apport,
 python3-all (>= 3.2),
 python3-setuptools,
 python3-click,
 libpci-dev,
 lib32gcc-s1 [amd64], libc6-i386 [amd64],
 linux-libc-dev,
 pkg-config,
 python3-xkit (>= 0.5.0),
 aptdaemon,
 python3-aptdaemon.test (>= 0.43+bzr810-0ubuntu2~),
 python3-gi,
 gir1.2-glib-2.0,
 gir1.2-umockdev-1.0,
 umockdev,
 alsa-utils,
 apt-utils,
 dbus,
 udev,
 pciutils,
 libdrm-dev,
 python3-dbus,
 libkmod-dev,
 pycodestyle|pep8,
 pyflakes3,
Standards-Version: 3.9.8
Vcs-Git: git://github.com/canonical/ubuntu-drivers-common.git
Vcs-Browser: https://github.com/canonical/ubuntu-drivers-common
X-Python3-Version: >= 3.2

Package: ubuntu-drivers-common
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 debconf (>= 0.5.00) | debconf-2.0,
 python3-apt,
 python3-xkit,
 python3-click,
 udev (>= 204-0ubuntu4~),
 pciutils,
 usbutils,
 kmod | module-init-tools,
Suggests: python3-aptdaemon.pkcompat
Replaces: nvidia-common (<< 1:0.2.46), jockey-common, jockey-gtk, jockey-kde
Conflicts: nvidia-common (<< 1:0.2.46), jockey-common, jockey-gtk, jockey-kde
Breaks: nvidia-prime (<< 0.6)
Provides: nvidia-common, jockey-common, jockey-gtk, jockey-kde
Description: Detect and install additional Ubuntu driver packages
 This package aggregates and abstracts Ubuntu specific logic and knowledge
 about third-party driver packages. It provides:
 .
  - a Python API for detecting driver packages for a particular piece of
    hardware or the whole system.
 .
  - an "ubuntu-drivers" command line tool to list or install driver packages
    (mostly for integration in installers).
 .
  - some NVidia specific support code to find the most appropriate driver
    version, as well as setting up the alternatives symlinks that the
    proprietary NVidia and FGLRX packages use.

Package: dh-modaliases
Architecture: all
Depends: ${perl:Depends},
 ${misc:Depends}
Enhances: debhelper
Description: debhelper extension for scanning kernel module aliases
 dh_modaliases is useful for packages that ship third-party kernel modules,
 either in binary form, or as sources (with e. g. DKMS). It extracts the
 modules' modaliases from either the compile .ko files themselves (for packages
 which ship them in compiled form, using modinfo), or from a package file
 debian/packagename.modaliases.
 .
 This enables software which is looking for missing driver packages (such as
 Jockey or the operating system installer) to identify which package(s) will
 provide a driver for a piece of hardware, identified by its modalias.
 
Package: nvidia-common
Section: oldlibs
Priority: extra
Architecture: i386 amd64 armel armhf
Depends: ubuntu-drivers-common, ${misc:Depends}
Description: transitional package for ubuntu-drivers-common
 This is a transitional package for ubuntu-drivers-common. You can remove it
 after upgrading.

Package: fglrx-pxpress
Section: oldlibs
Priority: extra
Architecture: i386 amd64
Depends: ubuntu-drivers-common, ${misc:Depends}
Description: transitional package for ubuntu-drivers-common
 This is a transitional package for ubuntu-drivers-common. You can remove it
 after upgrading.

=== debian/rules ===
#!/usr/bin/make -f
DEB_VERSION=$(shell dpkg-parsechangelog | grep ^Version | cut -f2 -d\ |cut -f1 -d-)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
TEST_ARCHES=amd64 arm64
py3sdo=set -e; $(foreach py, $(shell py3versions -r), $(py) $(1);)

%:
	dh "$@" --with python3,apport

override_dh_auto_build:
	$(call py3sdo, setup.py build)

override_dh_auto_install:
	$(call py3sdo, setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb)

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
  ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), $(TEST_ARCHES)))
	$(call py3sdo, setup.py egg_info)
	set -e; $(foreach py, $(shell py3versions -r), PATH=$$PATH:/sbin:/usr/sbin PYTHONPATH=. $(py) -B tests/run;)
  endif
endif

override_dh_auto_clean:
	$(call py3sdo, setup.py clean)

override_dh_install:
	dh_install --fail-missing -Xlib/systemd -Xsbin -Xlib/udev

	# on architectures where we build gpu-manager, install the systemd unit,
	# the udev rule, and the script for gpu detection
	if [ -d debian/tmp/lib/systemd ]; then \
		dh_install -p ubuntu-drivers-common lib/systemd; \
		dh_systemd_enable -p ubuntu-drivers-common; \
		dh_install -p ubuntu-drivers-common lib/udev/rules.d; \
		dh_install -p ubuntu-drivers-common sbin; \
	fi

	# build dh_modaliases manpage
	mkdir -p debian/dh-modaliases/usr/share/man/man1
	pod2man -c Debhelper -r "$(DEB_VERSION)" debhelper/dh_modaliases debian/dh-modaliases/usr/share/man/man1/dh_modaliases.1

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_clean:
	rm -f share/hybrid/hybrid-detect
	rm -f share/hybrid/gpu-manager
	rm -f quirksreader_test*.txt
	rm -rf build
	rm -rf *.egg-info
	rm -f debian/ubuntu-drivers-common.maintscript
	find $(CURDIR) -name "__pycache__" -exec rm -rf "{}" \;
	make -C share/hybrid clean
	dh_clean

## ubuntu-drivers-common 0.9.7.6ubuntu3.6

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.7.6ubuntu3.6) noble; urgency=medium

  * [ Conrad Fernandez ]
    Require root for install and autoinstall (LP: #1920225)
    with tests added

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 26 Jan 2026 16:42:46 +0100

## ubuntu-drivers-common 0.9.7.9

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.7.9) oracular; urgency=medium

  [ Kuba Pawlak ]
  * Sort the output list of matching nvidia drivers (LP: #2081970)
  * NVIDIA 560 release should suggest -open variant first (LP: #2081967)

  [ Alessandro Astone ]
  * Improve SimpleDRM+NVIDIA fix across kernel versions (LP: #2060268)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 26 Sep 2024 10:27:26 +0200

ubuntu-drivers-common (1:0.9.7.8) oracular; urgency=medium

  [ Kuba Pawlak ]
  * Revert "Change maximum open files limit for the shell" (LP: #2077646)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 28 Aug 2024 21:42:02 +0300

ubuntu-drivers-common (1:0.9.7.7) oracular; urgency=medium

  * SRU (LP: #2076245)
  * debian/tests/control
    - change test dependencies from libgl1-mesa-glx to libglx-mesa0
      (LP: #2071829)
  * debian/control
    - change repository links
  * tests/test_ubuntu_drivers.py (synchronize repository)
    - increase the timeout for test_system_driver_packages_performance
      since for some reason it seems really slow but only on the builders
  * UbuntuDrivers/detect.py
    - Ensure that self._major_ver is an int
    - Replace "udevadm hwdb" with systemd-hwdb
    - Recommend hwe-*-meta for non-oem hardware enablement meta packages
  * share/hybrid:
    - Change Makefile to respect CC and CFLAGS environment variables
  * share/hybrid/71-u-d-c-gpu-detection.rules
    - Remove SimpleDRM device when nvidia-drm loads (LP: #2060268)
  * share/hybrid/gpu-manager.c  
    - Wait for nvidia-drm to settle before opening /dev/dri/card* (LP: #2060268)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 24 Jul 2024 11:00:58 +0200

## ubuntu-drivers-common 0.9.7.10

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.7.10) oracular; urgency=medium

  [ Kuba Pawlak ]
  * fix searching for lrm drivers matching linux-image-virtual (LP: #2085962)`
  * fix install --gpgpu handling (LP: #2083709)
  * Add --include-dkms option to listing drivers (LP: #2090924)

  [ Dann Frazier]
  * Add more useful help text for --gpgpu See LP: #2081881

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 11 Dec 2024 14:47:07 +0100

## ubuntu-drivers-common 0.9.7.11

=== debian/changelog ===
ubuntu-drivers-common (1:0.9.7.11) oracular; urgency=medium

  [ Kuba Pawlak ]
  * fix DKMS install of gaming drivers (LP: #2098674)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 18 Feb 2025 11:48:19 +0100

## ubuntu-drivers-common 0.10

=== debian/changelog ===
ubuntu-drivers-common (1:0.10) plucky; urgency=medium

  [ Kuba Pawlak]
  * Add --include-dkms option to listing drivers (LP: #2090924)
  * fix searching for lrm drivers matching linux-image-virtual (LP: #2085962)
  * Don't remove SimpleDRM if nvidia has fbdev
  * Don't remove SimpleDRM if nvidia does not have modesetting
  * fix install --gpgpu handling (LP: #2083709)
  * Sort the output list of matching nvidia drivers (LP: #2081970)
  * NVIDIA 560 release should suggest -open variant first (LP: #2081967)
  * Skip a test that fails after update of aptdaemon

  [ Dann Frazier ]
  * Add more useful help text for --gpgpu (LP: #2081881)

  [ Alessandro Astone ]
  * Improve SimpleDRM+NVIDIA fix across kernel versions (LP: #2060268)

  [ Timo Aaltonen ]
  * gpu-manager: Drop unused functions
  * copyright: Fix a lintian warning.
  * Drop obsolete constraints.
  * rules: Remove built objects directly instead of running make clean.
  * control, rules: Migrate to debhelper-compat 13 and pybuild.
  * control: Migrate to pkgconf.
  * control: Drop obsolete Breaks/Conflicts/Provides/Replaces.
  * control: Drop ancient transitional packages fglrx-pxpress and nvidia-common.

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Fri, 06 Dec 2024 16:51:26 +0100

## ubuntu-drivers-common 0.10.2

=== debian/changelog ===
ubuntu-drivers-common (1:0.10.2) plucky; urgency=medium

  [ Simon Chopin ]
  * Replace buggy modalias map caching with simple arg passing (LP: #2092601)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 03 Apr 2025 10:30:34 +0200

ubuntu-drivers-common (1:0.10.1) plucky; urgency=medium

  [ Kuba Pawlak ]
  * fix DKMS install of gaming drivers (LP: #2098674)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 18 Feb 2025 11:52:55 +0100

## ubuntu-drivers-common 0.10.2ubuntu1

=== debian/changelog ===
ubuntu-drivers-common (1:0.10.2ubuntu1) questing; urgency=medium

  * Clarify gpgpu flag help text (LP: #2115537)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Tue, 01 Jul 2025 16:46:31 -0500

## ubuntu-drivers-common 0.10.2ubuntu2

=== debian/changelog ===
ubuntu-drivers-common (1:0.10.2ubuntu2) questing; urgency=medium

  * d/s/options: ignore .git
    - Remove .git artifacts included in the previous upload

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 31 Jul 2025 08:43:25 -0400

## ubuntu-drivers-common 0.10.2.1

=== debian/changelog ===
ubuntu-drivers-common (1:0.10.2.1) plucky; urgency=medium

  * Clarify gpgpu flag help text (LP: #2115537)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Tue, 01 Jul 2025 16:47:38 -0500

=== debian/tests/control ===
Tests: system
Depends: ubuntu-drivers-common, alsa-utils, apport, python3-gi, gir1.2-umockdev-1.0, umockdev, libglx-mesa0, linux-headers-generic | linux-headers, liblocale-gettext-perl
Restrictions: needs-root

## ubuntu-drivers-common 0.10.2.2

=== debian/changelog ===
ubuntu-drivers-common (1:0.10.2.2) plucky; urgency=medium

  [ Mitchell Augustin ]
  * Prevent coinstallation of conflicting Nvidia Drivers (LP: #2125156)

  [ Nick Rosbrook ]
  * debian/source/options: ignore .git to prevent git artifacts in upload

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Fri, 03 Oct 2025 16:26:02 -0500

## ubuntu-drivers-common 0.10.3

=== debian/changelog ===
ubuntu-drivers-common (1:0.10.3) questing; urgency=medium

  [ Mitchell Augustin ]
  * replace nvidia-current with generic nvidia-driver-xxx branch in tests
  * Remove nvidia-detector
  [ Kai-Chuan Hsieh ]
  *  Fix AMD + NVIDIA platform boot_vga not set
  [ Conrad Fernandez ]
  * Require root for install and autoinstall (LP: #1920225)
  [ Kuba Pawlak ]
  * Repeated 'install' invocations cycle between drivers (LP: #2115507)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 30 Jun 2025 09:54:58 +0200

## ubuntu-drivers-common 0.10.3.1

=== debian/changelog ===
ubuntu-drivers-common (1:0.10.3.1) questing; urgency=medium

  * Prevent coinstallation of conflicting Nvidia Drivers (LP: #2125156)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Fri, 03 Oct 2025 16:26:02 -0500

=== debian/control ===
Source: ubuntu-drivers-common
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 po-debconf,
 dh-apport,
 python3-all (>= 3.2),
 python3-setuptools,
 python3-click,
 libpci-dev,
 lib32gcc-s1 [amd64], libc6-i386 [amd64],
 linux-libc-dev,
 pkgconf,
 python3-xkit,
 aptdaemon,
 python3-aptdaemon.test,
 python3-gi,
 gir1.2-glib-2.0,
 gir1.2-umockdev-1.0,
 umockdev,
 alsa-utils,
 apt-utils,
 dbus,
 udev,
 pciutils,
 libdrm-dev,
 python3-dbus,
 libkmod-dev,
 pycodestyle|pep8,
 pyflakes3,
Standards-Version: 3.9.8
Vcs-Git: git://github.com/canonical/ubuntu-drivers-common.git
Vcs-Browser: https://github.com/canonical/ubuntu-drivers-common

Package: ubuntu-drivers-common
Architecture: any
Depends: ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 python3-apt,
 python3-xkit,
 python3-click,
 udev,
 pciutils,
 usbutils,
 kmod | module-init-tools,
Suggests: python3-aptdaemon.pkcompat
Description: Detect and install additional Ubuntu driver packages
 This package aggregates and abstracts Ubuntu specific logic and knowledge
 about third-party driver packages. It provides:
 .
  - a Python API for detecting driver packages for a particular piece of
    hardware or the whole system.
 .
  - an "ubuntu-drivers" command line tool to list or install driver packages
    (mostly for integration in installers).
 .
  - some NVidia specific support code to find the most appropriate driver
    version, as well as setting up the alternatives symlinks that the
    proprietary NVidia and FGLRX packages use.

Package: dh-modaliases
Architecture: all
Depends: ${perl:Depends},
 ${misc:Depends}
Enhances: debhelper
Description: debhelper extension for scanning kernel module aliases
 dh_modaliases is useful for packages that ship third-party kernel modules,
 either in binary form, or as sources (with e. g. DKMS). It extracts the
 modules' modaliases from either the compile .ko files themselves (for packages
 which ship them in compiled form, using modinfo), or from a package file
 debian/packagename.modaliases.
 .
 This enables software which is looking for missing driver packages (such as
 Jockey or the operating system installer) to identify which package(s) will
 provide a driver for a piece of hardware, identified by its modalias.

## ubuntu-drivers-common 0.10.4

=== share/hybrid/Makefile ===
#!/usr/bin/make -f

PROG = gpu-manager
OBJ = gpu-manager.o json-parser/json.o

override CFLAGS += -Wall $(shell pkg-config --cflags libpci libdrm libkmod)
override LDLIBS += $(shell pkg-config --libs libpci libdrm libkmod) -lm

all: $(PROG)

$(PROG): $(OBJ)

clean:
	rm -f $(PROG) $(OBJ)

=== debian/changelog ===
ubuntu-drivers-common (1:0.10.4) resolute; urgency=medium

  * Prevent coinstallation of conflicting Nvidia Drivers (LP: #2125156)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Fri, 03 Oct 2025 16:26:02 -0500

=== debian/rules ===
--- 
+++ 
@@ -2,30 +2,21 @@
 DEB_VERSION=$(shell dpkg-parsechangelog | grep ^Version | cut -f2 -d\ |cut -f1 -d-)
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 TEST_ARCHES=amd64 arm64
-py3sdo=set -e; $(foreach py, $(shell py3versions -r), $(py) $(1);)
+PYBUILD_NAME=ubuntu-drivers-common
 
 %:
-	dh "$@" --with python3,apport
-
-override_dh_auto_build:
-	$(call py3sdo, setup.py build)
-
-override_dh_auto_install:
-	$(call py3sdo, setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb)
+	dh "$@" --with python3,apport --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
   ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), $(TEST_ARCHES)))
-	$(call py3sdo, setup.py egg_info)
-	set -e; $(foreach py, $(shell py3versions -r), PATH=$$PATH:/sbin:/usr/sbin PYTHONPATH=. $(py) -B tests/run;)
+	./setup.py egg_info
+	PYTHONPATH=. tests/run
   endif
 endif
 
-override_dh_auto_clean:
-	$(call py3sdo, setup.py clean)
-
 override_dh_install:
-	dh_install --fail-missing -Xlib/systemd -Xsbin -Xlib/udev
+	dh_install -Xlib/systemd -Xsbin -Xlib/udev
 
 	# on architectures where we build gpu-manager, install the systemd unit,
 	# the udev rule, and the script for gpu detection
@@ -51,5 +42,5 @@
 	rm -rf *.egg-info
 	rm -f debian/ubuntu-drivers-common.maintscript
 	find $(CURDIR) -name "__pycache__" -exec rm -rf "{}" \;
-	make -C share/hybrid clean
+	rm -f share/hybrid/gpu-manager.o share/hybrid/json-parser/json.o
 	dh_clean

## ubuntu-drivers-common 0.10.5

=== debian/changelog ===
ubuntu-drivers-common (1:0.10.5) resolute; urgency=medium

  * Add welcome page to show currently installed / next boot version
  * Enable apt-style version strings for manual driver branch selection
  * Refactor gpgpu sorting/filtering to be in detect.py
  * Add mypy type annotataions and add to build
  * Run black and add to build process

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Thu, 05 Feb 2026 08:27:05 -0600

ubuntu-drivers-common (1:0.10.3ubuntu1) plucky; urgency=medium

  * Check kernel version / Secure Boot status and warn user if needed
    (LP: #2109526)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Thu, 10 Jul 2025 07:47:10 -0500

## ubuntu-drivers-common 0.10.6

=== debian/changelog ===
ubuntu-drivers-common (1:0.10.6) resolute; urgency=medium

  * Remove unnecessary global assignment (fixes linter failure)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Fri, 06 Feb 2026 17:21:05 -0600

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,9 @@
  libkmod-dev,
  pycodestyle|pep8,
  pyflakes3,
+ python3-mypy,
+ mypy,
+ black,
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/canonical/ubuntu-drivers-common.git
 Vcs-Browser: https://github.com/canonical/ubuntu-drivers-common
@@ -39,6 +42,7 @@
 Depends: ${python3:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
+ mokutil,
  python3-apt,
  python3-xkit,
  python3-click,

## ubuntu-drivers-common 0.10.7

=== debian/changelog ===
ubuntu-drivers-common (1:0.10.7) resolute; urgency=medium

  * Remove mokutil requirement for s390x

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Thu, 12 Feb 2026 16:16:05 -0600

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
  python3-mypy,
  mypy,
  black,
+ mokutil [!s390x],
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/canonical/ubuntu-drivers-common.git
 Vcs-Browser: https://github.com/canonical/ubuntu-drivers-common
@@ -42,7 +43,7 @@
 Depends: ${python3:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
- mokutil,
+ mokutil [!s390x],
  python3-apt,
  python3-xkit,
  python3-click,

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,10 @@
   ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), $(TEST_ARCHES)))
 	./setup.py egg_info
 	PYTHONPATH=. tests/run
+	# Run mypy type checking
+	mypy UbuntuDrivers/ Quirks/ ubuntu-drivers | grep -v "Quirks/quirkreader.py:71: error: Unused \"type: ignore\" comment  [unused-ignore]"
+	# Run black tests
+	black --check UbuntuDrivers/ Quirks/ ubuntu-drivers
   endif
 endif
